#version 330 core

in vec3 Normal;
in vec3 Position;

out vec4 fragColor;

uniform vec3 cameraPos;
uniform samplerCube skybox;

void main()
{    
	//reflection
	vec3 I = normalize(Position - cameraPos);
    vec3 R = reflect(I, normalize(Normal));
    fragColor = vec4(vec3(texture(skybox, R)), 1.0f);

}